> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-money/linkage/transfer-peer-to-peer-non-snap/internal-account-inquiry.md).

# Internal Account Inquiry

This API is used to validate the recipient's internal e-money account before initiating a peer-to-peer transfer. It ensures that the destination account is active and eligible to receive funds.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

```
Service Code: 15
```

| Environment | Method | URL                                                           |
| ----------- | ------ | ------------------------------------------------------------- |
| Development | POST   | <https://snapstag.finnet.co.id/v1.0/account-inquiry-internal> |
| Production  | POST   | <https://snap.finnet.co.id/v1.0/account-inquiry-internal>     |

### Required Headers <a href="#required-headers" id="required-headers"></a>

Use the standard Linkage authentication headers, signature, and device context on every request.

<table><thead><tr><th width="69.83335876464844">No</th><th width="209.83331298828125">Name</th><th width="110.16668701171875">Type</th><th width="109.83331298828125">Mandatory</th><th width="279.9999542236328">Description</th></tr></thead><tbody><tr><td>1</td><td>Content-Type</td><td>String</td><td>M</td><td>Fill with <code>application/json</code></td></tr><tr><td>2</td><td>Authorization</td><td>String</td><td>M</td><td>Access token B2B</td></tr><tr><td>3</td><td>Authorization-Customer</td><td>String</td><td>M</td><td>Access token B2B2C</td></tr><tr><td>4</td><td>X-TIMESTAMP</td><td>String</td><td>M</td><td>Timestamp in RFC3339 format: <code>yyyy-MM-ddTHH:mm:ssTZD</code></td></tr><tr><td>5</td><td>X-PARTNER-ID</td><td>String</td><td>M</td><td>Client ID provided by Finnet</td></tr><tr><td>6</td><td>X-SIGNATURE</td><td>String</td><td>M</td><td>BI SNAP symmetric signature. See <a href="/spaces/0e6BKtpYpb5u7FWksQC3/pages/BTR47insrKZNYAJfX8Mf">Signature</a> for details.</td></tr><tr><td>7</td><td>X-EXTERNAL-ID</td><td>String</td><td>M</td><td>Random string that must be unique within a day for each partner with max <code>36</code> characters</td></tr><tr><td>8</td><td>CHANNEL-ID</td><td>String</td><td>M</td><td>Device identification on which the API services is currently being accessed by the End User (Customer)</td></tr><tr><td>9</td><td>ORIGIN</td><td>String</td><td>M</td><td>The domain of the calling application</td></tr><tr><td>10</td><td>X-IP-ADDRESS</td><td>String</td><td>M</td><td>The IP address of the device</td></tr><tr><td>11</td><td>X-DEVICE-ID</td><td>String</td><td>M</td><td>The unique identifier of the device</td></tr><tr><td>12</td><td>X-LATITUDE</td><td>String</td><td>M</td><td>The latitude coordinate from the device’s GPS</td></tr><tr><td>13</td><td>X-LONGITUDE</td><td>String</td><td>M</td><td>The longitude coordinate from the device’s GPS</td></tr></tbody></table>

### Body Request <a href="#body-request" id="body-request"></a>

<table><thead><tr><th width="69.66667175292969">No</th><th width="149.66665649414062">Name</th><th width="109.66665649414062">Type</th><th width="109.6666259765625">Mandatory</th><th width="109.66668701171875">Min Length</th><th width="109.66668701171875">Max Length</th><th width="169.6666259765625">Description</th></tr></thead><tbody><tr><td>1</td><td>partnerReferenceNo</td><td>String</td><td>M</td><td>1</td><td>64</td><td>Transaction identifier on service consumer system</td></tr><tr><td>2</td><td>beneficiaryAccountNo</td><td>String</td><td>M</td><td>1</td><td>34</td><td>Beneficiary account number</td></tr></tbody></table>

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```http
POST .../v1.0/account-inquiry-internal HTTP/1.2
Content-type: application/json
Authorization: Bearer gp9HjjEj813Y9JGoqwOeOPWbnt4CUpvIJbU1mMU4a11MNDZ7Sg5u9a"
Authorization-Customer: Bearer fa8sjjEj813Y9JGoqwOeOPWbnt4CUpvIJbU1mMU4a11MNDZ7Sg5u9a"
X-TIMESTAMP: 2020-12-23T08:27:11+07:00
X-SIGNATURE: 85be817c55b2c135157c7e89f52499bf0c25ad6eeebe04a986e8c862561b19a5
ORIGIN: www.hostname.com
X-PARTNER-ID: 82150823919040624621823174737537
X-EXTERNAL-ID: 41807553358950093184162180797837
X-IP-ADDRESS: 172.24.281.24
X-DEVICE-ID: 09864ADCASA
X-LATITUDE: -6.108841
X-LONGITUDE: 106.7782137
CHANNEL-ID: 95221
{
  "partnerReferenceNo":"2020102900000000000001",
   "beneficiaryAccountNo":"6281221700001"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

<table><thead><tr><th width="69.66667175292969">No</th><th width="149.66665649414062">Name</th><th width="109.66665649414062">Type</th><th width="109.66668701171875">Mandatory</th><th width="109.66668701171875">Min Length</th><th width="109.66668701171875">Max Length</th><th width="169.6666259765625">Description</th></tr></thead><tbody><tr><td>1</td><td>responseCode</td><td>String</td><td>M</td><td>1</td><td>7</td><td>Response code</td></tr><tr><td>2</td><td>responseMessage</td><td>String</td><td>M</td><td>1</td><td>150</td><td>Response description</td></tr><tr><td>3</td><td>referenceNo</td><td>String</td><td>O</td><td>1</td><td>64</td><td>Transaction identifier on service provider system</td></tr><tr><td>4</td><td>partnerReferenceNo</td><td>String</td><td>O</td><td>1</td><td>64</td><td>Transaction identifier on service consumer system</td></tr><tr><td>5</td><td>beneficiaryAccountNo</td><td>String</td><td>M</td><td>1</td><td>34</td><td>Destination account number</td></tr><tr><td>6</td><td>beneficiaryAccountName</td><td>String</td><td>M</td><td>1</td><td>100</td><td>Destination account name</td></tr><tr><td>7</td><td>currency</td><td>String</td><td>M</td><td>3</td><td>3</td><td>Currency (ISO 4217)</td></tr><tr><td>8</td><td>additionalInfo</td><td>Object</td><td>O</td><td>1</td><td>1</td><td></td></tr><tr><td>9</td><td>additionalInfo.redirectUrl</td><td>String</td><td>M</td><td>1</td><td>512</td><td>Redirect URL to go to PJSP page to process the payment.</td></tr></tbody></table>

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```json
{
  "responseCode": "2001500",
  "responseMessage": "Request has been processed successfully",
  "referenceNo": "2020102977770000000009",
  "partnerReferenceNo": "2020102900000000000001",
  "beneficiaryAccountName": "Yories Yolanda",
  "beneficiaryAccountNo": "6281221700001",
  "currency": "IDR",
  "additionalInfo": {
    "redirectUrl": " https://fm.f1n.me/prem?uuid=f47ac10b-58cc-4372-a567-0e02b2c3d479&sessionToken=abcde12345"
  }
}
```

### Response Code & Message <a href="#response-code-message" id="response-code-message"></a>

<table><thead><tr><th width="70.33334350585938">No</th><th width="150">HTTP Code</th><th width="149.66668701171875">Code</th><th>Message</th></tr></thead><tbody><tr><td>1</td><td>200</td><td>2001500</td><td>Successful</td></tr><tr><td>2</td><td>400</td><td>4001500</td><td>Bad request</td></tr><tr><td>3</td><td>400</td><td>4001501</td><td>Invalid field format <code>{field}</code></td></tr><tr><td>4</td><td>400</td><td>4001502</td><td>Invalid mandatory field <code>{field}</code></td></tr><tr><td>5</td><td>401</td><td>4011501</td><td>Invalid token (B2B)</td></tr><tr><td>6</td><td>401</td><td>4011500</td><td>Unauthorised. <code>[Reason]</code></td></tr><tr><td>7</td><td>401</td><td>4011502</td><td>Invalid Customer Token</td></tr><tr><td>8</td><td>401</td><td>4011503</td><td>Token Not Found (B2B)</td></tr><tr><td>9</td><td>401</td><td>4011504</td><td>Customer Token Not Found</td></tr><tr><td>10</td><td>403</td><td>4031501</td><td>Feature not allowed</td></tr><tr><td>11</td><td>403</td><td>4031504</td><td>Activity count limit exceeded</td></tr><tr><td>12</td><td>403</td><td>4031514</td><td>Insufficient Funds</td></tr><tr><td>13</td><td>404</td><td>4041508</td><td>Invalid merchant</td></tr><tr><td>14</td><td>500</td><td>5001500</td><td>General error</td></tr><tr><td>15</td><td>500</td><td>5001501</td><td>Internal Server Error</td></tr><tr><td>16</td><td>500</td><td>5001502</td><td>External Server Error</td></tr><tr><td>17</td><td>504</td><td>5041500</td><td>Timeout</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/transfer-peer-to-peer-non-snap/internal-account-inquiry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
